gr::satellites::costas_loop_8apsk_cc_impl Class Reference

`#include <costas_loop_8apsk_cc_impl.h>`

Inheritance diagram for gr::satellites::costas_loop_8apsk_cc_impl:

## Public Member Functions

| costas_loop_8apsk_cc_impl (float loop_bw)
| ~costas_loop_8apsk_cc_impl ()
float | error () const override
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Additional Inherited Members

Public Types inherited from gr::satellites::costas_loop_8apsk_cc
typedef std::shared_ptr< costas_loop_8apsk_cc > | sptr
Static Public Member Functions inherited from gr::satellites::costas_loop_8apsk_cc
static sptr | make (float loop_bw)

## Constructor & Destructor Documentation

## costas_loop_8apsk_cc_impl()

gr::satellites::costas_loop_8apsk_cc_impl::costas_loop_8apsk_cc_impl | ( | float | loop_bw | ) |

## ~costas_loop_8apsk_cc_impl()

gr::satellites::costas_loop_8apsk_cc_impl::~costas_loop_8apsk_cc_impl | ( |  | ) |

## Member Function Documentation

## error()

float gr::satellites::costas_loop_8apsk_cc_impl::error | ( |  | ) | const

inline override virtual

Returns the current value of the loop error.

Implements gr::satellites::costas_loop_8apsk_cc.

## work()

int gr::satellites::costas_loop_8apsk_cc_impl::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items
| ) |  |

The documentation for this class was generated from the following file:

- costas_loop_8apsk_cc_impl.h